サポート » プラグイン » Ultimate TinyMCEなど エディター系のプラグインが重大なエラーで有効化でき

  • 解決済 rie111

    (@rie111)



    ページ投函のためのエディター
    (Ultimate TinyMCEなど4種類 http://wordpress.e-joho.jp/archives/308)を
    インストールしたのですが、4種とも重大なエラーが発生とのことで、有効化ができません。
    プラグインのプログラムがわかりませんこともあって、何がひっかかっておりますかわからずにいます。
    (カスタマイズをしていますことや、複数のプラグインを入れますことで、エラーになるのでしょうか?)
    もし、お分かりになり、お教えいただけますことがありましたら幸いです。
    本当にお手数をすみません。よろしければ、どうぞお願いいたします。 

9件の返信を表示中 - 1 - 9件目 (全9件中)
  • モデレーター のむらけい

    (@mypacecreator)

    Ultimate TinyMCEなど4種類

    とのことですが、「など4種類」および、他に導入しているプラグインに問題がある可能性もあります。

    また、↓こちらをご参照の上、必要な情報を追記していただくと回答がつきやすいかと思います。
    http://ja.forums.wordpress.org/topic/13?replies=1

    ありがとうございます!
    昨日、Ultimate TinyMCE(はじめは、4種類のうち これだけをいれていても、できなかったのですが)以外の3種類のものを削除しましたら、有効化ができました。

    ただ、ほかのプラグインとの関係なのでしょうか、ボタンが表示できないものが複数あり、(そのボタンの部分は空白で、ボタン機能は、マウスを持っていきますと ALTのような形で表示されます)それを、追って調べておりました。

    お教えいただきました、アドレスを参照させていただきまして、また、追記させていただきます。
    とりいそぎのお礼にて、ありがとうございます。

    モデレーター のむらけい

    (@mypacecreator)

    ご報告ありがとうございます。
    詳しくは、追加情報をお待ちしてから確認したいと思いますが、
    「Ultimate TinyMCE」プラグインに関して言いますと、公式にWordPress3.9以降に対応しない旨が明記されています。
    https://wordpress.org/plugins/ultimate-tinymce/

    Note: The end of Ultimate Tinymce
    This plugin will not work properly on WordPress versions 3.9 and above
    Instead, please switch to using WP Edit

    WordPress側の問題というより、採用されているTinyMCEのバージョンが変わったことによる問題だと考えられます。

    まだ個人的に試していないのですが、上記ページで紹介されている後継プラグイン「WP Edit」を試してみてはいかがでしょうか。
    http://wordpress.org/plugins/wp-edit/

    重複じゃないのに可哀想。
    http://ja.forums.wordpress.org/topic/137577
    http://ja.forums.wordpress.org/topic/136003
    ここに書いてごめんなさい。

    モデレーター のむらけい

    (@mypacecreator)

    >stranger-jpさん
    ご指摘ありがとうございます。
    質問主の方に迷惑がかかってしまうので、今後はトピックの質問と関連しない報告などは「その他」などにてご連絡いただければと思います。
    http://ja.forums.wordpress.org/forum/6

    モデレーター のむらけい

    (@mypacecreator)

    >rie111 さん
    別件の私への連絡事項が挟まってしまい、すみませんでした。

    「WP Edit」を試してみましたが、設定項目がかなり多岐にわたるプラグインでした。良くも悪くも。

    そもそも標準のエディタに、どんな機能を追加したくてこういったプラグインをお探しなのかを書いていただくと良いかもしれません。
    (ちなみに私の場合は、「フォントサイズ」の指定ボタンだけ増やしたいというケースが多いです)

    すみません、パソコンを開きますのがおそくなってしまい、ご返信がおそくなってしまいました。
    いろいろと、ありがとうございます!

    参照のページの事項をまだ、できていないのですが、
    今回、追加したいエディターは、(私は知識が少ないながら、WORDPRESSのカスタマイズ設定をさせていただいているのですが、)使用される方が、タグの知識などが全くないので、普通のブログのように、基本的には、色や文字設定や記号をいれたりなどではと思うのですが、ビジュアルで形を作れますように、なにかで調べられて、Ultimate TinyMCEを入れてほしいと依頼を受けました。
    既存でもある程度できるとは思うのですが、やはり、入れてほしいとのこともあり、できればと思いました。
    依頼のプラグインは、SEO対策とのことで、下記のようなプラグインを入れました。
    http://bazubu.com/wordpress-post-15790.html#smoothplay1-1

    TinyMCE Advanced の代わりに Ultimate TinyMCE
    All in One SEO Pack
    Open Graph Pro
    Google XML Sitemaps
    WP Social Bookmarking Light

    他、作成段階で、
    Akismet、Contact Form 7、Custom Post Type UI、WP Multibyte Patch、Custom Post Type UI、WP-DBManager を入れていました。

    まだ、プラグインを停止や、フラウザのキャッシュ・Cookie の削除はまだできておりません。すみません!

    WordPress (本体・プラグイン・テーマ):バージョン3.9.2
    PHP、MySQL のバージョン:PHP5.3.3, MySQL5.0.95
    使用しているブラウザ名称とそのバージョン :FIREFOX 31.0

    ちなみに、有効化していますUltimate TinyMCEのバージョンは、5.3でした。

    他の各プラグインを停止して、一度試してみるようにはしてみます。
    (重複ではないというのは、このことでしょうか??理解していずに、すみません。)

    また、依頼の方にも、どの程度必要なのかも、再度確認してみます。

    丁寧なご回答をどうもありがとうございます、どうぞよろしくお願いいたします。

    すみません、Ultimate TinyMCEのバージョンが対応外だったのに、先ほど、別の内容でお送りしてしまい、、
    一度停止しますと、先日起こったように、次に有効化する際にエラーになりそうで、停止できなかったのですが、この後に、TinyMCE Advancedと入れ替えてみたいと思います。

    何度も、失礼します。
    今、TinyMCE Advancedを再インストールしましたところ、無事に有効化できました!

    丁寧に教えていただきまして、本当に、ありがとうございました!
    お手数をおかけいたしました。
    とても嬉しいです。

    ありがとうございましたm(_ _)m

9件の返信を表示中 - 1 - 9件目 (全9件中)
  • トピック「Ultimate TinyMCEなど エディター系のプラグインが重大なエラーで有効化でき」には新たに返信することはできません。